Bug 1677250 - Allow github identity provider to require team membership
Summary: Allow github identity provider to require team membership
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Standa Laznicka
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-14 11:16 UTC by scheng
Modified: 2019-06-04 10:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:07 UTC

Comment 1 Standa Laznicka 2019-02-14 11:57:26 UTC
Handled in https://github.com/openshift/cluster-authentication-operator/pull/71, I went through all the IdPs again this time to re-check so hopefully none other attributes should be missing from now on.

Comment 2 Standa Laznicka 2019-02-15 07:33:17 UTC
PR got merged

Comment 3 scheng 2019-02-18 03:27:25 UTC
Verified

# oc logs -f openshift-authentication-d957c57df-kdhrv
<-snip->
E0218 03:22:52.315082       1 errorpage.go:26] AuthenticationError: User barleyer is not a member of any allowed teams [testfielderla/openshift] (user is a member of [])
<-snip->


# oc get clusterversion version -o json |jq .status.desired
{
  "image": "registry.svc.ci.openshift.org/ocp/release@sha256:197a02c6e56f8fa6b97f452bc8db98e616bf754c9686c631d485ab68b740a1e0",
  "version": "4.0.0-0.nightly-2019-02-17-182259"
}

Comment 6 errata-xmlrpc 2019-06-04 10:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.